import java.util.Vector;
import java.net.*;
import org.apache.soap.rpc.*;
import org.apache.soap.*;

public class SimpleSOAPClient {

	public static void main(String[] args) {
		if (args.length != 2) {
			System.err.println("Usage: java SimpleSOAPCLient arg1 arg2");
			System.exit(-1);
		}
		
		Call call = new Call();
		call.setTargetObjectURI("urn:xml-soap-demo-mycalculator");
		call.setMethodName("getSum");
		call.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
		
		Vector parms = new Vector();
		parms.addElement(new Parameter("first", int.class, new Integer(args[0]),
null));
		parms.addElement(new Parameter("second", int.class, new Integer(args[1]),
null));

		call.setParams(parms);

		try {
			URL url = new URL("http://localhost:8080/soap/servlet/rpcrouter");
		
			Response response = call.invoke(url, "");
		
			if (response.generatedFault()) {
				Fault fault = response.getFault();
				System.err.println("Call failed");
				System.err.println("Code: " + fault.getFaultCode());
				System.err.println("Description: " + fault.getFaultString());
			} else {
				Parameter result = response.getReturnValue();
				System.out.println("Result is " + ((Integer)result.getValue()).intValue());
			}
		} catch (MalformedURLException mue) {
			mue.printStackTrace();
		} catch (SOAPException se) {
			se.printStackTrace();
		}
	}

}
